%define module_name          eeepc
%define module_version          0.3
%define module_release          alt0.M41.1

%define kversion	2.6.25
%define krelease	alt8.M41.5
%define flavour		std-def

%define module_dir /lib/modules/%kversion-%flavour-%krelease/%module_name

Name: kernel-modules-%module_name-%flavour
Version: %module_version
Release: %module_release.132633.8.M41.5

Summary: ASUS eeePC acpikeys driver
License: GPL
Group: System/Kernel and hardware
URL: http://tpctl.sourceforge.net

Packager: Kernel Maintainer Team <kernel@packages.altlinux.org>


ExclusiveOS: Linux
BuildRequires(pre): rpm-build-kernel
BuildRequires: kernel-headers-modules-%flavour = %kversion-%krelease
BuildRequires: kernel-source-%module_name-%module_version

Provides:  kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

PreReq: coreutils
PreReq: kernel-image-%flavour = %kversion-%krelease
Requires(postun): kernel-image-%flavour = %kversion-%krelease
ExclusiveArch: %ix86 x86_64

%description
This module add ASUS eeePC additional acpi keys support.

%prep
rm -rf kernel-source-%module_name-%module_version
tar -jxvf %kernel_src/kernel-source-%module_name-%module_version.tar.bz2
%setup -D -T -n kernel-source-%module_name-%module_version
#%%patch -p2

%build
. %_usrsrc/linux-%kversion-%flavour/gcc_version.inc
%make_build KSRC=%_usrsrc/linux-%kversion-%flavour \
	KBUILD=%_usrsrc/linux-%kversion-%flavour \
	HDAPS=1

%install
%__install -d %buildroot/%module_dir
%__cp -a *.ko %buildroot/%module_dir/

%post
%post_kernel_modules %kversion-%flavour-%krelease

%postun
%postun_kernel_modules %kversion-%flavour-%krelease

%files
%module_dir

%changelog
* Tue Aug 18 2009 Michail Yakushin <silicium@altlinux.ru> 0.3-alt0.M41.1.132633.8.M41.5
- Build for kernel-image-std-def-2.6.25-alt8.M41.5.

* Mon Sep 15 2008 Michail Yakushin <silicium@altlinux.ru> 0.3-alt0.M41.1
- Initial build for ALT 

